Android Studio 3.0 unsupported, why and when will it be ?

Anything about development not directly related to libgdx, e.g. OpenGL, Android APIs etc.

Android Studio 3.0 unsupported, why and when will it be ?

Postby Mutos » Sun Dec 24, 2017 3:34 pm

Hello,


I discovered Android Studio and now I'm trying to find suitable gamedev engines to go with it. One of my best bets was libGDX, until I found out a few minutes ago, that AS 3.0+ wasn't supported.

So here are my questions :
  • Why exactly isn't AS 3.0+ not supported ?
  • Is it totally blocking or is there a workaround ?
  • Is supporting AS 3.0 on the libGDX roadmap ?

I couldn't find an explanation, I just found mention of issues with Gradle, but had no time to investigate thoroughly as I must leave just now, so I'll do it when back home and then, if I find something, I'll post the links here so they'll be grouped on one post.

Thanks for any hint and sorry if the question is already answered anywhere else...
Mutos
 
Posts: 1
Joined: Sun Dec 24, 2017 3:09 pm

Re: Android Studio 3.0 unsupported, why and when will it be

Postby Desolation » Fri Dec 29, 2017 9:34 am

Hi,

Just today I have got Android Studio again and was planning on using LibGDX to make another app however it wasn't working. After a bit of research (and a headache ;) ) I got it working. As far as I can tell Android Studio 3.0 works fine however only the latest version of Gradle and the plugin isn't supported. This means you can still use LibGDX with Android Studio 3.0 if you use the older version of Gradle.

Create a LibGDX project normally, Import it into Android Studio but make sure to not update to the latest version of the Android Gradle plugin (3.0.1) and Gradle (4.1) when it prompts you too. As far as I can tell everything still works fine. If you need to downgrade the gradle version follow this answer: https://stackoverflow.com/questions/46975883/error2-0-plugin-with-id-jetty-not-found

Here is some more information I found online,
https://github.com/libgdx/libgdx/issues/4698
https://github.com/libgdx/libgdx/issues/4946
So it looks like they are planning to support it soon which is great!

I don't really know too much but I hope I added a bit of useful information to the table.
Desolation
 
Posts: 2
Joined: Fri Dec 29, 2017 9:02 am

Re: Android Studio 3.0 unsupported, why and when will it be

Postby raeleus » Fri Dec 29, 2017 3:02 pm

That's helpful. Thanks.
Play Forward Gunner!
Create skins visually with Skin Composer.
raeleus
 
Posts: 377
Joined: Wed Aug 07, 2013 10:57 pm

Re: Android Studio 3.0 unsupported, why and when will it be

Postby grumpyBoo » Thu Jan 04, 2018 11:53 am

I have gradle 4.1 and android grtadle plugin 3.0.0 and it's working!
grumpyBoo
 
Posts: 9
Joined: Mon Jul 27, 2015 1:16 pm

Re: Android Studio 3.0 unsupported, why and when will it be

Postby Desolation » Fri Jan 05, 2018 1:07 am

grumpyBoo wrote:I have gradle 4.1 and android grtadle plugin 3.0.0 and it's working!

How did you get it working?
Desolation
 
Posts: 2
Joined: Fri Dec 29, 2017 9:02 am

Re: Android Studio 3.0 unsupported, why and when will it be

Postby garryjoshi » Sat Jan 27, 2018 12:55 pm

Desolation wrote:Hi,

Just today I have got Android Studio again and was planning on using LibGDX to make another app however it wasn't working. After a bit of research (and a headache ;) ) I got it working. As far as I can tell Android Studio 3.0 works fine however only the latest version of Gradle and the plugin isn't supported. This means you can still use LibGDX with Android Studio 3.0 if you use the older version of Gradle.

Create a LibGDX project normally, Import it into Android Studio but make sure to not update to the latest version of the Android Gradle plugin (3.0.1) and Gradle (4.1) when it prompts you too. As far as I can tell everything still works fine. If you need to downgrade the gradle version follow this answer: https://stackoverflow.com/questions/46975883/error2-0-plugin-with-id-jetty-not-found

Here is some more information I found online,
https://github.com/libgdx/libgdx/issues/4698
https://github.com/libgdx/libgdx/issues/4946
So it looks like they are planning to support it soon which is great!

I don't really know too much but I hope I added a bit of useful information to the table.


This is indeed really helpful thank you so much for all the references @Desolation :)
garryjoshi
 
Posts: 1
Joined: Sat Jan 27, 2018 12:53 pm


Return to General Development

Who is online

Users browsing this forum: No registered users and 1 guest